package services;

import dao.ProductDAO;

import java.sql.Date;
import java.sql.SQLException;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Scanner;

public class ProductService {
    ProductDAO productDAO = new ProductDAO();

    public void showProductList() {
        try {
            System.out.println(productDAO.getProductList());
        }catch (Exception e) {
            System.out.println("Không thể đọc dữ liệu từ CSDL!");
        }
    }

    public void addProduct() {
        Scanner sc = new Scanner(System.in);
        System.out.println("Nhập tên sản phẩm");
        String name = sc.nextLine();
        System.out.println("Nhập giá bán");
        Double price = sc.nextDouble();
        System.out.println("Nhập tiêu đề sản phẩm");
        String title = sc.nextLine();
        System.out.println("Ngày tạo");
        Date created = Date.valueOf(LocalDate.now());
        System.out.println("Danh mục");
        String catalog = sc.nextLine();
        System.out.println("Nhập trạng thái");
        Boolean status  = sc.nextBoolean();
        System.out.println("created" + created);

        try {
            if(productDAO.createNewProduct(name, price, title, created, catalog, status)) {
                System.out.println("thêm sp thành công!");
            }else {
                System.out.println("Thêm sp thất bại");
            }
        }catch (SQLException e) {
            System.out.println("E" + e);
            System.out.println("lỗi xử lý CSDL");
        }

    }

}
